import httpRequestApi from '../../../utils/APIClient';
import {
  formatDate
} from '../../../utils/util';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    user: {},
    sexs: [],
    occupations: [],
    date: '',
    msg: '',
    nickname: ''
  },
  saveNickName: function (e) {
    let nickname = e.detail.value;
    this.setData({
      nicename: nickname
    });
  },
  saveAddress: function (e) {
    let msg = e.detail.value;
    this.setData({
      msg: msg
    });
  },
  bindDateChange: function (e) {
    console.log(e.detail.value)
    this.setData({
      date: e.detail.value
    });
  },
  optionAction: function (e) {
    console.log(e.detail.value);
  },
  optionSetting: function (e) {
    console.log(e.detail.value);
  },
  formSubmit: function (e) {
    console.log(e.detail.value)
    if(e.detail.value.nickname === ''){
      return false
    }
    // const uid = wx.getStorageSync('uid');
    const data = {
      wechatName: e.detail.value.nickname || '',
      mobile: '',
      gender: e.detail.value.radioGroup1,
      schoolProvince: '',
      schoolCity: '',
      schoolName: e.detail.value.address || '',
      profession: e.detail.value.radioGroup2 || '',
      birthday: e.detail.value.picker || ''
    }
    httpRequestApi.settingUserInfo(data).success(res => {
      console.log(res.data.data); //修改资料成功后 调用 getUserInfo
      // wx.redirectTo({
      //   url: '/pages/index/index?index=3'
      // });
      wx.navigateBack({
        delta: 1
      })
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  getUserInfo: function () {

  },
  onLoad: function (option) {
    httpRequestApi.getUserInfo().success(res => {
      const user = res.data.data
      console.log(user)
      const birthday = user.birthday ? formatDate(user.birthday, 2) : '2018-01-01';
      console.log(birthday)
      this.setData({
        user: user,
        date: birthday,
        sexs: [{
            value: 2,
            checked: user.gender === 2 ? true : false,
            sex: '女'
          },
          {
            value: 1,
            checked: user.gender === 1 ? true : false,
            sex: '男'
          }
        ],
        occupations: [{
            value: '家长',
            checked: user.profession === '家长' ? true : false
          },
          {
            value: '老师',
            checked: user.profession === '老师' ? true : false
          },
          {
            value: '学生',
            checked: user.profession === '学生' ? true : false
          }
        ],

      })
      console.log(this.data.date)
      if (option.title) {
        wx.setNavigationBarTitle({
          title: option.title //页面标题为路由参数
        });
        this.setData({
          title: option.title
        });
      }
      httpRequestApi.userIntoPage('pages/user/myEdit/myEdit','修改资料页面').success((res)=>{
        
      })
    });

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})